cascading.stats.tez

## Class TezSliceStats

- java.lang.Object
- - cascading.stats.FlowSliceStats<TezNodeStats.Kind>
  - - cascading.stats.tez.TezSliceStats

All Implemented Interfaces:
  ProvidesCounters

    public class TezSliceStats
    extends FlowSliceStats<TezNodeStats.Kind>
    implements ProvidesCounters

### Nested Class Summary

Nested Classes
`static class` `TezSliceStats.TezAttempt`

### Nested classes/interfaces inherited from class cascading.stats.FlowSliceStats

`FlowSliceStats.FlowSliceAttempt`

### Method Summary

Methods
`void` `addAttempt(java.lang.Object event)`
`java.util.Map<java.lang.Integer,FlowSliceStats.FlowSliceAttempt>` `getAttempts()`
`java.util.Collection<java.lang.String>` `getCounterGroups()` Method getCounterGroups returns all the available counter group names.
`java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>>` `getCounters()`
`java.util.Collection<java.lang.String>` `getCountersFor(java.lang.Class<? extends java.lang.Enum> group)` Method getCountersFor returns all the counter names for the counter Enum.
`java.util.Collection<java.lang.String>` `getCountersFor(java.lang.String group)` Method getCountersFor returns all the counter names for the give group name.
`long` `getCounterValue(java.lang.Enum counter)` Method getCounter returns the current value for the given counter Enum.
`long` `getCounterValue(java.lang.String group, java.lang.String name)` Method getCounter returns the current value for the given group and counter.
`java.lang.String[]` `getDiagnostics()`
`java.lang.String` `getID()`
`TezNodeStats.Kind` `getKind()`
`long` `getLastSuccessfulCounterFetchTime()` Method getLastSuccessfulCounterFetchTime returns the time, in millis, the last moment counters were successfully retrieved.
`CascadingStats.Status` `getParentStatus()`
`long` `getProcessFinishTime()`
`java.lang.String` `getProcessNodeID()`
`float` `getProcessProgress()`
`long` `getProcessRunTime()`
`java.lang.String` `getProcessSliceID()`
`long` `getProcessStartTime()`
`java.lang.String` `getProcessStatus()`
`java.lang.String` `getProcessStepID()`
`CascadingStats.Status` `getStatus()`
`void` `setCounters(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> counters)`
`void` `setDiagnostics(java.lang.String diagnostics)`
`void` `setFinishTime(long finishTime)`
`void` `setLastFetch(long lastFetch)`
`void` `setStartTime(long startTime)`
`protected void` `setStatus(CascadingStats.Status status)`
`void` `setSubmitTime(long submitTime)`
`void` `setSuccessfulAttemptID(java.lang.String successfulAttemptID)`
`java.lang.String` `toString()`

### Methods inherited from class cascading.stats.FlowSliceStats

`getProcessID, getProcessPendingTime, getProcessSubmitTime`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### setSubmitTime

    public void setSubmitTime(long submitTime)

#### setStartTime

    public void setStartTime(long startTime)

#### setFinishTime

    public void setFinishTime(long finishTime)

#### setSuccessfulAttemptID

    public void setSuccessfulAttemptID(java.lang.String successfulAttemptID)

#### getID

    public java.lang.String getID()

Specified by:
  `getID` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessStartTime

    public long getProcessStartTime()

Specified by:
  `getProcessStartTime` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessRunTime

    public long getProcessRunTime()

Overrides:
  `getProcessRunTime` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessFinishTime

    public long getProcessFinishTime()

Specified by:
  `getProcessFinishTime` in class `FlowSliceStats<TezNodeStats.Kind>`

#### setDiagnostics

    public void setDiagnostics(java.lang.String diagnostics)

#### getParentStatus

    public CascadingStats.Status getParentStatus()

#### setStatus

    protected void setStatus(@Nullable
                 CascadingStats.Status status)

#### getStatus

    public CascadingStats.Status getStatus()

Specified by:
  `getStatus` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getKind

    public TezNodeStats.Kind getKind()

Specified by:
  `getKind` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getDiagnostics

    public java.lang.String[] getDiagnostics()

Specified by:
  `getDiagnostics` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getCounters

    public java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> getCounters()

Specified by:
  `getCounters` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessSliceID

    public java.lang.String getProcessSliceID()

Specified by:
  `getProcessSliceID` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessNodeID

    public java.lang.String getProcessNodeID()

Specified by:
  `getProcessNodeID` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessStepID

    public java.lang.String getProcessStepID()

Specified by:
  `getProcessStepID` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessStatus

    public java.lang.String getProcessStatus()

Specified by:
  `getProcessStatus` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getProcessProgress

    public float getProcessProgress()

Specified by:
  `getProcessProgress` in class `FlowSliceStats<TezNodeStats.Kind>`

#### getAttempts

    public java.util.Map<java.lang.Integer,FlowSliceStats.FlowSliceAttempt> getAttempts()

Specified by:
  `getAttempts` in class `FlowSliceStats<TezNodeStats.Kind>`

#### setCounters

    public void setCounters(@Nullable
                   java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.Long>> counters)

#### setLastFetch

    public void setLastFetch(long lastFetch)

#### getLastSuccessfulCounterFetchTime

    public long getLastSuccessfulCounterFetchTime()

Description copied from interface: `ProvidesCounters`
Method getLastSuccessfulCounterFetchTime returns the time, in millis, the last moment counters were successfully retrieved.

If -1, counter values were never successfully retrieved.

If this return value is less than the `CascadingStats.getFinishedTime()` it is likely the counter service became unavailable.

Specified by:
  `getLastSuccessfulCounterFetchTime` in interface `ProvidesCounters`
Returns:
  the moment counters were last successfully retrieved

#### getCounterGroups

    public java.util.Collection<java.lang.String> getCounterGroups()

Description copied from interface: `ProvidesCounters`
Method getCounterGroups returns all the available counter group names.

Specified by:
  `getCounterGroups` in interface `ProvidesCounters`
Returns:
  the counterGroups (type Collection<String>) of this CascadingStats object.

#### getCountersFor

    public java.util.Collection<java.lang.String> getCountersFor(java.lang.String group)

Description copied from interface: `ProvidesCounters`
Method getCountersFor returns all the counter names for the give group name.

Specified by:
  `getCountersFor` in interface `ProvidesCounters`
Returns:
  Collection<String>

#### getCountersFor

    public java.util.Collection<java.lang.String> getCountersFor(java.lang.Class<? extends java.lang.Enum> group)

Description copied from interface: `ProvidesCounters`
Method getCountersFor returns all the counter names for the counter Enum.

Specified by:
  `getCountersFor` in interface `ProvidesCounters`
Returns:
  Collection<String>

#### getCounterValue

    public long getCounterValue(java.lang.Enum counter)

Description copied from interface: `ProvidesCounters`
Method getCounter returns the current value for the given counter Enum.

Specified by:
  `getCounterValue` in interface `ProvidesCounters`
Parameters:
  `counter` - of type Enum
Returns:
  the current counter value

#### getCounterValue

    public long getCounterValue(java.lang.String group,
                       java.lang.String name)

Description copied from interface: `ProvidesCounters`
Method getCounter returns the current value for the given group and counter.

Specified by:
  `getCounterValue` in interface `ProvidesCounters`
Parameters:
  `group` - of type String
  `name` - of type String
Returns:
  the current counter value

#### addAttempt

    public void addAttempt(java.lang.Object event)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`